<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelSms;

abstract class SammelSmsPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $viewModel = new SammelSmsViewModel();
    $viewModel->kurs = $this->useCaseResponse->kurs;
    
    $viewModel->kontakte = $this->useCaseResponse->kontakte;
    $viewModel->fusszeile = $this->useCaseResponse->fusszeile;
    $viewModel->toolId = $this->useCaseResponse->toolId;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kontaktformular.js')
    );
  }
}